.primaryClr{ 
    color: var(--clr-primary);
  }

  /* Applying Global CSS */
* {
margin: 0;
padding: 0;
box-sizing: border-box;
}

/* Centering the content of whole body */
.box-container {
display: flex;
justify-content: center;
align-items: center;
min-height: 100vh;
background: #000;
}
label.logo {
    font-size: 1.6rem;
    font-family: "Titillium Web", sans-serif;
    line-height: 80px;
    padding: 0 30px;
    font-weight: 500;
  }
/* Adding transform-style CSS 
property to the boxes */
.box {
position: relative;
width: 200px;
height: 200px;
transform-style: preserve-3d;
animation: animate 20s linear infinite;
}

/* Adding keyframes for animation */
@keyframes animate {
0% {
transform: perspective(1000px) rotateY(0deg);
}
100% {
transform: perspective(1000px) rotateY(360deg);
}
}

/* Adding CSS to all the span 
tags for animation */
.box span {
position: absolute;
top: 0;
left: 0;
width: 100%;
height: 100%;
transform-origin: center;
transform-style: preserve-3d;
transform:
rotateY(calc(var(--i) * 45deg)) translateZ(400px);
-webkit-box-reflect: 
below 0px linear-gradient(transparent, transparent, #0004);
}

/* Adding object-fit CSS 
property to all the images */
.box span img {
position: absolute;
top: 0;
left: 0;
height: 250px;
width: 300px;
object-fit: cover;
}    
.checkbtn {
    font-size: 30px;
    color: #fff;
    float: right;
    line-height: 80px;
    margin-right: 40px;
    cursor: pointer;
    display: none;
  }
  
  #check {
    display: none;
  }

  @media (max-width: 952px) {
    label.logo {
      font-size: 30px;
      padding-left: 20px;
    }
  
    nav ul li a {
      font-size: 16px;
    }
  }
  
  @media (max-width: 858px) {
    .checkbtn {
      display: block;
      color: var(--clr-primary);
    }
  
    ul {
      position: fixed;
      width: 100%;
      height: 100vh;
      top: 80px;
      left: -100%;
      top: 80px;
      transition: all 0.5s;
      text-align: center;
      background: #fff5f2;
    }
  
    nav ul li {
      display: block;
      margin: 50px 0;
      line-height: 30px;
    }
  
    nav ul li a {
      font-size: 20px;
    }
  
    .menu a:hover,
    .menu a.active {
      background: none;
      color: var(--clr-primary);
    }
  
    #check:checked ~ ul {
      left: 0;
    }
  
    #hero-section {
      margin-top: 80px;
    }
  
    #hero-section .text {
      margin-left: auto;
    }
  
    .flex {
      flex-direction: column;
    }
  
    .visual,
    .text {
      width: 70%;
      margin: 15px auto;
      text-align: center;
    }
  
    .download,
    .user {
      flex-direction: row;
    }
  
    .user {
      justify-content: center;
    }
  
    .visual img {
      margin: 0 auto;
    }
  
    .box {
      margin: 15px 0;
    }
  
    .restaurant-menu {
      grid-template-columns: repeat(2, 1fr);
      grid-gap: 20px;
    }
  
    .faq,
    .menu-item {
      width: 80%;
    }
  
    .primary {
      font-size: 56px;
    }
    .primary span {
      font-size: 56px;
      color: var(--clr-primary);
    }
    .secondary {
      font-size: 40px;
    }
  
    .tertiary {
      font-size: 20px;
    }
  
    .footer-about {
      width: 100%;
      text-align: center;
    }
  
    .quick-links,
    .get-in-touch,
    .footer-category {
      display: none;
    }
  }
  
  @media (max-width: 680px) {
    .container {
      padding: 0 10px;
    }
  
    .text,
    .visual {
      width: 90%;
    }
  
    .restaurant-menu {
      grid-template-columns: 1fr;
    }
  
    .faq {
      width: 90%;
    }
  .name {
    line-height:0.7rem; 
  }
    .app-store {
      margin: 10px 0;
    }
  
    .download {
      flex-direction: column;
    }
  
    .primary {
      font-size: 20px;
      line-height: 2rem;
    }
    .primary span{
      font-size: 20px;
      line-height: 2rem;
    }
  
    .secondary {
      font-size: 32px;
    }
  
    .tertiary {
      font-size: 17px;
    }
    
  .title {
    font-size: 16px;
    font-weight: 300;
    margin: 8px 0;
  }
  
  .location {
    font-size: 16px;
    font-weight: 500;
  }
  }